moAmount = {};
source(MultiOverlayV3.modDir.."scripte/module/amount/moAmountConfig.lua");

function moAmount:update(dt)	
	if moModule.active.amount.isRunning then
		if moAmount.values.updateTimer > 0 then
			if MultiOverlayV3.timers["updateAmount"] ~= nil then return;end;
			moSetGetExtras:addTimer( {delay=moAmount.values.updateTimer, name="updateAmount", repeatable=1, ms=moAmount.values.msec, action=moAmount.load} ); 
		else
			moAmount:load();
		end;
	end;	
end;

function moAmount:load()	
	moAmount:loadStorageAmount();		
end;

function moAmount:loadStorageAmount()
	local playerFarmId = g_currentMission.player.farmId;
	moFillTypes.values.amount = {}; --new
	if moModule.storages ~= nil and #moModule.storages > 0 then
		local deleteObject = {};
		for index=1, #moModule.storages do
			if moModule.storages[index] ~= nil then
				local isObject = moModule:isObject(moModule.storages[index].object);
				if isObject then
					local storage = moModule.storages[index].object;
					if storage.ownerFarmId == 0 or storage.ownerFarmId == playerFarmId then
						if not moModule.storages[index].extension then
							if storage.storages ~= nil and #storage.storages > 0 then
								for s=1, #storage.storages do
									for fillTypeIndex,isAccepted in pairs(storage.storages[s].fillTypes) do
										if isAccepted then
											if moFillTypes.values.amount[fillTypeIndex] ~= nil then 
												moFillTypes.values.amount[fillTypeIndex] = moFillTypes.values.amount[fillTypeIndex]+Utils.getNoNil(storage.storages[s]:getFillLevel(fillTypeIndex), 0);
											
											else 
												moFillTypes.values.amount[fillTypeIndex] = Utils.getNoNil(storage.storages[s]:getFillLevel(fillTypeIndex), 0);
											end;							
										end;
									end;
								end;
							end;
						end;
						if moModule.storages[index].extension then
							if storage.storage ~= nil and storage.storage.fillTypes ~= nil then								
								for fillTypeIndex,isAccepted in pairs(storage.storage.fillTypes) do
									if isAccepted then
										if moFillTypes.values.amount[fillTypeIndex] ~= nil then 
											moFillTypes.values.amount[fillTypeIndex] = moFillTypes.values.amount[fillTypeIndex]+Utils.getNoNil(storage.storage:getFillLevel(fillTypeIndex), 0);
										
										else 
											moFillTypes.values.amount[fillTypeIndex] = Utils.getNoNil(storage.storage:getFillLevel(fillTypeIndex), 0);
										end;							
									end;
								end;								
							end;
						end;
					end;
				else	
					table.insert(deleteObject, index);
				end;
			end;
		end;
		if #deleteObject > 0 then
			for _, index in pairs (deleteObject) do				
				table.remove(moModule.storages, index);
			end;
			moModule:slotOutputCmd(true);
		end;
	end;			
end;